<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: CAS Basic client features (CAS 1.0, Service Tickets)</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>CAS Basic client features (CAS 1.0, Service Tickets)<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gacc7692242bf95b8429d704de40a6cd52">CASClient::getST</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gaca73a8a7c4adb1175c4ba0e3812979db">CASClient::setST</a> ($st)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga76f2832ba150597409e47421aaaaa35e">CASClient::hasST</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga3afdd7ea1d4d753fafcdff49c51c8e09">CASClient::setCasServerCert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gac12c73488d65c5f7f34b39084926c688">CASClient::setCasServerCACert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga94d0237a67f4c82da1d92c5c4e73aece">CASClient::setNoCasServerValidation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gacf3f1b530d4e029b3124558cc74d56cb">CASClient::validateST</a> ($validate_url, &amp;$text_response, &amp;$tree_response)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gad790c032504597c075875197f64cc73b">CASClient::$_st</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga28b7a83796b4972a2fbc0d3791e0185c">CASClient::$_cas_server_cert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gaa78eb6b7d01c48e6d236c513e9b33e45">CASClient::$_cas_server_ca_cert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga563b04790a9c60dbcff5ddb8e9741715">CASClient::$_no_cas_server_validation</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gacc7692242bf95b8429d704de40a6cd52"></a><!-- doxytag: member="CASClient::getST" ref="gacc7692242bf95b8429d704de40a6cd52" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getST </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the Service Ticket provided in the URL of the request. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The service ticket. </dd></dl>

</div>
</div>
<a class="anchor" id="ga76f2832ba150597409e47421aaaaa35e"></a><!-- doxytag: member="CASClient::hasST" ref="ga76f2832ba150597409e47421aaaaa35e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::hasST </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method tells if a Service Ticket was stored. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE if a Service Ticket has been stored. </dd></dl>

</div>
</div>
<a class="anchor" id="gac12c73488d65c5f7f34b39084926c688"></a><!-- doxytag: member="CASClient::setCasServerCACert" ref="gac12c73488d65c5f7f34b39084926c688" args="($cert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setCasServerCACert </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cert</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the CA certificate of the CAS server.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cert</em>&nbsp;</td><td>the PEM certificate of the CA that emited the cert of the server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3afdd7ea1d4d753fafcdff49c51c8e09"></a><!-- doxytag: member="CASClient::setCasServerCert" ref="ga3afdd7ea1d4d753fafcdff49c51c8e09" args="($cert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setCasServerCert </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cert</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the certificate of the CAS server.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cert</em>&nbsp;</td><td>the PEM certificate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga94d0237a67f4c82da1d92c5c4e73aece"></a><!-- doxytag: member="CASClient::setNoCasServerValidation" ref="ga94d0237a67f4c82da1d92c5c4e73aece" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setNoCasServerValidation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set no SSL validation for the CAS server. </p>

</div>
</div>
<a class="anchor" id="gaca73a8a7c4adb1175c4ba0e3812979db"></a><!-- doxytag: member="CASClient::setST" ref="gaca73a8a7c4adb1175c4ba0e3812979db" args="($st)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setST </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>st</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method stores the Service Ticket. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$st</em>&nbsp;</td><td>The Service Ticket. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacf3f1b530d4e029b3124558cc74d56cb"></a><!-- doxytag: member="CASClient::validateST" ref="gacf3f1b530d4e029b3124558cc74d56cb" args="($validate_url, &amp;$text_response, &amp;$tree_response)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::validateST </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>validate_url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>text_response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>tree_response</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to validate a ST; halt on failure, and sets $validate_url, $text_reponse and $tree_response on success. These parameters are used later by <a class="el" href="group__internal_p_g_t_storage.html#gaff6d96062187548ffba93dd7edbca563">CASClient::validatePGT()</a> for CAS proxies.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$validate_url</em>&nbsp;</td><td>the URL of the request to the CAS server. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$text_response</em>&nbsp;</td><td>the response of the CAS server, as is (XML text). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$tree_response</em>&nbsp;</td><td>the response of the CAS server, as a DOM XML tree.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>bool TRUE when successfull, halt otherwise by calling <a class="el" href="group__internal_misc.html#ga4dda8e03389ad8a515d4e45cb42859ca">CASClient::authError()</a>. </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gaa78eb6b7d01c48e6d236c513e9b33e45"></a><!-- doxytag: member="CASClient::$_cas_server_ca_cert" ref="gaa78eb6b7d01c48e6d236c513e9b33e45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_cas_server_ca_cert<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the certificate of the CAS server CA. </p>

</div>
</div>
<a class="anchor" id="ga28b7a83796b4972a2fbc0d3791e0185c"></a><!-- doxytag: member="CASClient::$_cas_server_cert" ref="ga28b7a83796b4972a2fbc0d3791e0185c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_cas_server_cert<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the certificate of the CAS server. </p>

</div>
</div>
<a class="anchor" id="ga563b04790a9c60dbcff5ddb8e9741715"></a><!-- doxytag: member="CASClient::$_no_cas_server_validation" ref="ga563b04790a9c60dbcff5ddb8e9741715" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_no_cas_server_validation<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set to true not to validate the CAS server. </p>

</div>
</div>
<a class="anchor" id="gad790c032504597c075875197f64cc73b"></a><!-- doxytag: member="CASClient::$_st" ref="gad790c032504597c075875197f64cc73b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_st<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the Service Ticket provided in the URL of the request if present (empty otherwise). Written by <a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient()</a>, read by <a class="el" href="group__internal_basic.html#gacc7692242bf95b8429d704de40a6cd52">CASClient::getST()</a> and <a class="el" href="group__internal_proxy.html#ga432d879c0441763b4c1c1582bf1bc44c">CASClient::hasPGT()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
